Moving edges that already exist

To relocate edges independent of their parent Entities object (belonging to a group or component,)
you must use these methods. (Note, they cause entries on the undo stack.)

These batch transform methods are more economical than moving independent primitives.


To relocate a group or component instance, with all it’s child entities, you can use …

Methods that add entries to undo stack …

Methods that do not put entries into undo stack …

Hi DanRathbun,
That is good to know. :slightly_smiling_face:
I wonder if any one else is interested in this topic.
Thank you.

Posting an example as the API doc example is (currently) incorrect
for the Sketchup::Entities#transform_entities method:

entities = Sketchup.active_model.entities

# Example 1 : Passing a list

ent1 = entities.add_line([0,0,0],[100,100,100])
ent2 = entities.add_line([0,0,0],[200,-10,-10])
ent3 = entities.add_line([100,100,100],[200,-10,-10])

transform = Geom::Transformation.new([100,0,0])
entities.transform_entities(transform, ent1, ent2, ent3)


# Example 2 : Passing an array
# We assume for this example that entities contains some faces.

entities_to_transform = entities.grep(Sketchup::Face)
unless entities_to_transform.empty?
  transform = Geom::Transformation.new([10,10,10])
  entities.transform_entities(transform, entities_to_transform)
end